Bug 1469582 - [Docs][RFE][Director] Document how to use advanced subscription/pool assignments per role (pre-/post-deployment hooks)
[Docs][RFE][Director] Document how to use advanced subscription/pool assignme...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity unspecified
: ga
: 12.0 (Pike)
Assigned To: Dan Macpherson
Mikey Ariel
docs-accepted
: FutureFeature
Depends On: 1430545
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 10:08 EDT by Dan Macpherson
Modified: 2018-02-13 06:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-18 23:20:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2017-07-11 10:08:38 EDT
== DECRIPTION ==
We have several requests on attaching specific subscriptions to specific roles, defining multiple pools, etc.
Instead of re-implementing subscription manager, keep our default way and provide a way on how to achieve advanced use cases (subscription per role, multiple pools, etc). This should be already doable via pre-/post-deployment hooks. If not, please comment and we will need to re-evaluate the scope.
Related BZs will be linked as dependent on this specific RFE.
Procedure will need to be defined by Eng, tested by QE and documented by Docs team.

== DOCS IMPACT ==
Requires documentation on how to use hooks for registration as an alternative to the standard registration method
Comment 1 Lucy Bopf 2017-08-07 22:36:24 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2017-12-07 18:51:26 EST
Got the thumbs up from emacchi.

Mikey, this should be ready for peer review:

https://gitlab.cee.redhat.com/rhci-documentation/docs-Red_Hat_Enterprise_Linux_OpenStack_Platform/merge_requests/1255

Note You need to log in before you can comment on or make changes to this bug.